package com.example.animalsounds_mediaplater_kotlin

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.media.MediaPlayer
import android.widget.Button

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val btnCat = findViewById<Button>(R.id.btnCat)
        val btnChicken = findViewById<Button>(R.id.btnChicken)
        val btnCow = findViewById<Button>(R.id.btnCow)

        btnCat.setOnClickListener {
            val mp = MediaPlayer.create(baseContext, R.raw.cat)
            mp.start()
            btnCat.text ="Playing Cat Sound"
            btnCat.isEnabled = false
            mp.setOnCompletionListener {
                btnCat.text="Play Cat Sound"
                btnCat.isEnabled = true
            }
        } //end  btnCat.setOnClickListener

        //**************************************************************************
        btnChicken.setOnClickListener {
            val mp = MediaPlayer.create(baseContext, R.raw.chicken)
            mp.start()
        }//end  btnChicken.setOnClickListener

        //**************************************************************************
        btnCow.setOnClickListener {
            val mp = MediaPlayer.create(baseContext, R.raw.cow)
            mp.start()
        } //end  btnCow.setOnClickListener

    }//end onCreate
}//end MainActivity
